% Copyright (c) 2014-2015, Leonid Torgovitski
% All rights reserved.

function [handles] = define_panels(handles)

    
    
    all_settings = handles.all_settings;
    model = all_settings.model;
    estimation = all_settings.estimation;
    weights = all_settings.weights;
    results = all_settings.results;

    model.my_sigma2 = str2num(get(handles.txt_noise,'string'));
    model.my_p=  str2num(get(handles.txt_panels,'string'));
    
    model.my_n = str2num(get(handles.txt_n,'string'));
    model.my_m = str2num(get(handles.txt_m,'string'));
    
    model.my_P = zeros(model.my_n,model.my_m,model.my_p);

    all_settings.model = model;
    all_settings.estimation = estimation;
    all_settings.weights = weights;
    all_settings.results = results;

    all_settings = update_panels(all_settings);
    
    handles.all_settings = all_settings;
end

