% Copyright (c) 2014-2015, Leonid Torgovitski
% All rights reserved.

function [u] = f_cusum(A,weights)
     
    A_sz = size(A);
    n = A_sz(1);
    
    Ystruct.Ysubpanels  = A;
    Ystruct.Ycentered = Ystruct.Ysubpanels - kron(ones(n,1),mean(Ystruct.Ysubpanels,1));
    Ystruct.Ycusum = cumsum(Ystruct.Ycentered(1:(n-1),:),1);
    Ystruct.Ysum = sum(Ystruct.Ycusum.^2,2); 

    tYsum = transpose(Ystruct.Ysum);
    Ystruct.Ywweighted = tYsum.*(weights.weighted);
    
    [argval,u] = max(Ystruct.Ywweighted);
end