% Copyright (c) 2014-2015, Leonid Torgovitski
% All rights reserved.

function [all_settings] = update_panels(all_settings) 

    model = all_settings.model;
    estimation = all_settings.estimation;
    weights = all_settings.weights;
    results = all_settings.results;

    for ip=1:model.my_p
       %model.my_P(1:end,1:end,ip) =  panel_example1(model.my_n,model.my_m, model.my_sigma2, model.my_shape*((-1)^ip)*sign(randn(1)))+ip;
       model.my_P(1:end,1:end,ip) =  panel_example1(model.my_n,model.my_m, model.my_sigma2, model.my_shape*sign(randn(1)))+ip;
    end

    all_settings.model = model;
    all_settings.estimation = estimation;
    all_settings.weights = weights;
    all_settings.results = results;


end
